#
# Conditional build:
%bcond_without	apidocs	# doxygen/sphinx API documentation
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Library for downloading Linux repository metadata and packages
Summary(pl.UTF-8):	Biblioteka do pobierania metadanych repozytoriów roaz pakietów dla Linuksa
Name:		librepo
Version:	1.7.18
Release:	2
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/rpm-software-management/librepo/releases
Source0:	https://github.com/rpm-software-management/librepo/archive/%{name}-%{version}.tar.gz
# Source0-md5:	4b28cfad651110b4b033825dc8f8b7cf
#Source0:	http://pkgs.fedoraproject.org/repo/pkgs/librepo/%{name}-%{gitrev}.tar.xz/904628ef27b512e7aed07a6d41613c87/librepo-%{gitrev}.tar.xz
Patch0:		%{name}-link.patch
Patch1:		python-install-dir.patch
Patch2:		sphinx_executable.patch
URL:		http://rpm-software-management.github.io/librepo/
BuildRequires:	attr-devel
BuildRequires:	check-devel
BuildRequires:	cmake >= 2.6
BuildRequires:	curl-devel
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	expat-devel >= 1.95
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gpgme-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.605
%if %{with python2}
BuildRequires:	python-devel >= 1:2
%{?with_apidocs:BuildRequires:	sphinx-pdg-2}
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3
%{?with_apidocs:BuildRequires:	sphinx-pdg-3}
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library providing C and Python (libcURL like) API for downloading
Linux repository metadata and packages.

%description -l pl.UTF-8
Biblioteka udostępniająca API C i Pythona (podobne do libcURL) służące
do pobierania metadanych repozytoriów oraz pakietów dla Linuksa.

%package devel
Summary:	Header files for librepo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki librepo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	expat-devel >= 1.95
Requires:	glib2-devel >= 2.0
Requires:	gpgme-devel
Requires:	openssl-devel

%description devel
Header files for librepo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki librepo.

%package apidocs
Summary:	API documentation for librepo library
Summary(pl.UTF-8):	Dokumentacja API biblioteki librepo
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for librepo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki librepo.

%package -n python-librepo
Summary:	Python 2 binding for librepo library
Summary(pl.UTF-8):	Wiązanie Pythona 2 do biblioteki librepo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-librepo
Python 2 binding for librepo library.

%description -n python-librepo -l pl.UTF-8
Wiązanie Pythona 2 do biblioteki librepo.

%package -n python3-librepo
Summary:	Python 3 binding for librepo library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki librepo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-librepo
Python 3 binding for librepo library.

%description -n python3-librepo -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki librepo.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake .. \
%if %{with python2}
	-DPYTHON_DESIRED=2 \
	-DPYTHON_INSTALL_DIR="%{py_sitedir}" \
	-DSPHINX_EXECUTABLE=/usr/bin/sphinx-build-2
%endif

%{__make}

%if %{with apidocs}
%{__make} doc
%endif
cd ..

%if %{with python3}
install -d build-py3
cd build-py3
%cmake .. \
	-DPYTHON_DESIRED=3 \
	-DPYTHON_INSTALL_DIR="%{py3_sitedir}" \
	-DSPHINX_EXECUTABLE=/usr/bin/sphinx-build-3

%{__make}

%if %{with apidocs}
%{__make} doc
%endif
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python3}
%{__make} -C build-py3 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%py_comp $RPM_BUILD_ROOT%{py_sitedir}/librepo
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/librepo
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/librepo.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librepo.so
%{_includedir}/librepo
%{_pkgconfigdir}/librepo.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/doc/c/html/*
%endif

%if %{with python2}
%files -n python-librepo
%defattr(644,root,root,755)
%if %{with apidocs}
%doc build/doc/python/{*.html,_sources,_static}
%endif
%dir %{py_sitedir}/librepo
%attr(755,root,root) %{py_sitedir}/librepo/_librepomodule.so
%{py_sitedir}/librepo/__init__.py[co]
%endif

%if %{with python3}
%files -n python3-librepo
%defattr(644,root,root,755)
%if %{with apidocs}
%doc build-py3/doc/python/{*.html,_sources,_static}
%endif
%dir %{py3_sitedir}/librepo
%attr(755,root,root) %{py3_sitedir}/librepo/_librepo.so
%{py3_sitedir}/librepo/__init__.py
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/librepo.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c492814
- python 3.6
- release 2 (by relup.sh)

* Mon Jun 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 708f65a
- updated to 1.7.18

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 5b7272e
- noarch apidocs

* Wed Dec 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 4aef917
- python version in descriptions

* Tue Dec 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 5ebce50
- new URLs, updated to 1.7.17

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 3a50a18
- fix python install dir and sphinx-build

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> b64e9f4
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cdbf76a
- release 3 (by relup.sh)

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> caf0eb5
- x32 rebuild
- release 2 (by relup.sh)

* Thu Feb 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 2e04858
- updated to 1.7.13

* Tue Dec 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 73a14ca
- updated to 1.7.11

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 75ee679
- updated to 1.7.7

* Sat Jun 14 2014 Elan Ruusamäe <glen@delfi.ee> f8d47da
- up to 1.7.3

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> b3591a7
- new; link patch fixes library linking

